/* --------------------------------------------------------------------
   bat_ptmsch.p
   A routine to dump a data schema from a progress database
   into a format loadable by MySQL from the command line.


   inputs: a parameter containing either the word "ALL" or the
	   name of a table.

   outputs: A file named either MYSQL_'table'.SQL for one table
			     or SCH_'dbname'.SQL for all tables

   Copyright (c)2006 Amduus Information Works, Inc. sauge@amduus.com
   Version 1.0 Original release 21st Dec 2001
   Version 2.0 22nd Nov 2004
   ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   -------------------------------------------------------------------------- */


DEFINE VARIABLE cTableName AS CHARACTER NO-UNDO.

ASSIGN cTableName = OS-GETENV("TABLE").

RUN ptmsch.p (INPUT cTableName).

QUIT.
